Manjaro update has an existing error in p11-kit-trust.so

When updating Manjaro today,Keep jumping out “nss:/Usr/lib/p11-kit-trust.so already exists in the file system” mistake,Later tried the following instruction method (sudo pacman -Syyu) The result is the same,上網查詢,The result is normal,Because of some errors in the old version,So when updating,Need to add parameters to force coverage。

 

Solutions,Add the updated command to force to override the parameters of p11-kit-trust.so。

  sudo pacman -Syyu --overwrite /usr/lib/p11-kit-trust.so  

 

【參考連結】

4 Responses

  1. frog Says |

    Thank you for posting this. I googled the error message I was getting and found your post with a solution that solved my problem!

    You’re welcome. Glad that helped.

    Anson Reply |
  2. Anonymous Says |

    Thank you for this as well. This is an irritating issue for a new Manjaro user.

    You’re welcome. 🙂
    Thank you.

    Anson Reply |

Leave a Comment

Please note: Comment moderation is enabled and may delay your comment. There is no need to resubmit your comment.